Skip to main content

Get Pending Plan Orders

Query current pending trigger orders (plan orders).

HTTP Request

GET /api/v1/future/order/orders-plan-pending

Request Parameters

ParameterTypeRequiredDescription
limitnumberYesNumber of results
symbolstringNoTrading pair symbol (e.g., BTCUSDT)
idLessThannumberNoFilter orders with ID less than value
startTimenumberNoStart time in milliseconds
endTimenumberNoEnd time in milliseconds
orderIdstringNoSpecific order ID to query

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/future/order/orders-plan-pending?symbol=BTCUSDT&limit=100" \
-H "ACCESS-KEY: your-api-key" \
-H "ACCESS-SIGN: your-signature" \
-H "ACCESS-PASSPHRASE: your-passphrase" \
-H "ACCESS-TIMESTAMP: 1659076670000"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataobjectResponse data
> entrustedListarrayList of pending orders
> endIdstringEnd ID for pagination

entrustedList Item

ParameterTypeDescription
symbolstringTrading pair symbol
sizestringOrder size
orderIdstringOrder ID
clientOidstringClient order ID
executePricestringExecution price
statusstringOrder status (e.g., "LIVE")
sidestringOrder side: "BUY" or "SELL"
posSidestringPosition side: "LONG" or "SHORT"
marginCoinstringMargin coin
triggerPricestringTrigger price
triggerPriceTypestringTrigger price type: "LAST" or "MARK"
presetTakeProfitPricestringTake profit trigger price
presetTakeProfitExecutePricestringTake profit execution price
presetTakeProfitTypestringTake profit type: "LIMIT" or "MARKET"
presetStopLossPricestringStop loss trigger price
presetStopLossExecutePricestringStop loss execution price
presetStopLossTypestringStop loss type: "LIMIT" or "MARKET"
orderTypestringOrder type: "LIMIT" or "MARKET"
leveragestringLeverage
marginModestringMargin mode: "CROSS" or "ISOLATED"
tradeSidestringTrade side: "OPEN" or "CLOSE"
cTimenumberCreated time in milliseconds
uTimenumberUpdated time in milliseconds

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1763459280000,
"data": {
"entrustedList": [
{
"symbol": "BTCUSDT",
"size": "0.5",
"orderId": "fu-plan-123456789",
"clientOid": "my-plan-order-001",
"executePrice": "38900.00",
"status": "LIVE",
"side": "BUY",
"posSide": "LONG",
"marginCoin": "USDT",
"triggerPrice": "39000.00",
"triggerPriceType": "MARK",
"presetTakeProfitPrice": "42000.00",
"presetTakeProfitExecutePrice": "42000.00",
"presetTakeProfitType": "LIMIT",
"presetStopLossPrice": "37000.00",
"presetStopLossExecutePrice": "37000.00",
"presetStopLossType": "LIMIT",
"orderType": "LIMIT",
"leverage": "10",
"marginMode": "CROSS",
"tradeSide": "OPEN",
"cTime": 1763372880000,
"uTime": 1763459280000
}
],
"endId": "fu-plan-123456788"
}
}

Error Codes

No specific errors - returns empty list if no pending trigger orders